diff --git a/base/ca/shared/webapps/ca/ee/ca/ImportAdminCert.template b/base/ca/shared/webapps/ca/ee/ca/ImportAdminCert.template
index 5d1015424a87c05fe9623ada10358fd6987a5478..e88198477d9ef8ef2cab683a2b0b4658b26aea2b 100644
--- a/base/ca/shared/webapps/ca/ee/ca/ImportAdminCert.template
+++ b/base/ca/shared/webapps/ca/ee/ca/ImportAdminCert.template
@@ -20,6 +20,12 @@
 <HEAD>
 <TITLE>VBScript Administrator Certificate Enrollment
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <CMS_TEMPLATE>
 <SCRIPT language="VBScript">
 <!--
diff --git a/base/ca/shared/webapps/ca/ee/ca/ImportCert.template b/base/ca/shared/webapps/ca/ee/ca/ImportCert.template
index 67ddd0c72271415ae8464e71a61beb8d8863036c..a041c7d64ad71272e72b46d450778517d45b78ca 100644
--- a/base/ca/shared/webapps/ca/ee/ca/ImportCert.template
+++ b/base/ca/shared/webapps/ca/ee/ca/ImportCert.template
@@ -17,11 +17,19 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>
 CS Enroll Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <BODY bgcolor="white">
 
diff --git a/base/ca/shared/webapps/ca/ee/ca/ProfileList.template b/base/ca/shared/webapps/ca/ee/ca/ProfileList.template
index dce26ee54a0961882f2f65a7f588f30bd5d9169e..33af441652b9b9ec1fac011e1ea5303acc3553ab 100644
--- a/base/ca/shared/webapps/ca/ee/ca/ProfileList.template
+++ b/base/ca/shared/webapps/ca/ee/ca/ProfileList.template
@@ -19,8 +19,12 @@
 <html>
 
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ca/shared/webapps/ca/ee/ca/ProfileSelect.template b/base/ca/shared/webapps/ca/ee/ca/ProfileSelect.template
index 0b7a5418e898bf5b3b26d3b0915a79bfc03476c4..666d20f896c8c57fa4002fe6e217753fa8672e7c 100644
--- a/base/ca/shared/webapps/ca/ee/ca/ProfileSelect.template
+++ b/base/ca/shared/webapps/ca/ee/ca/ProfileSelect.template
@@ -17,6 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <CMS_TEMPLATE>
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
 Certificate Profile
diff --git a/base/ca/shared/webapps/ca/ee/ca/ProfileSubmit.template b/base/ca/shared/webapps/ca/ee/ca/ProfileSubmit.template
index ce1ec122e726ac4986e79151413e4836ef5021fd..fc1e1ecc6a10b937e0ddfcfa60483b22ef3e488f 100644
--- a/base/ca/shared/webapps/ca/ee/ca/ProfileSubmit.template
+++ b/base/ca/shared/webapps/ca/ee/ca/ProfileSubmit.template
@@ -17,7 +17,15 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
 Certificate Profile
 </font><br>
diff --git a/base/ca/shared/webapps/ca/ee/ca/RenewalSuccess.template b/base/ca/shared/webapps/ca/ee/ca/RenewalSuccess.template
index 73465691befc4576a777d373ac03fca71c682061..ba6c8650b2c84c648e91dade109e88e823c28ec3 100644
--- a/base/ca/shared/webapps/ca/ee/ca/RenewalSuccess.template
+++ b/base/ca/shared/webapps/ca/ee/ca/RenewalSuccess.template
@@ -18,10 +18,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 
 <HTML>
+<head>
 <CMS_TEMPLATE>
 <TITLE>
 CS Renewal Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</pre>
 
 <BODY bgcolor="white">
 
diff --git a/base/ca/shared/webapps/ca/ee/ca/RevocationSuccess.template b/base/ca/shared/webapps/ca/ee/ca/RevocationSuccess.template
index d024a3d14fb444b7978d2e0e808a601287862418..4ba206822c04beb327092bef491859334e66ca58 100644
--- a/base/ca/shared/webapps/ca/ee/ca/RevocationSuccess.template
+++ b/base/ca/shared/webapps/ca/ee/ca/RevocationSuccess.template
@@ -17,11 +17,19 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>
 CS Revocation Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <BODY bgcolor="white">
 
diff --git a/base/ca/shared/webapps/ca/ee/ca/displayBySerial.template b/base/ca/shared/webapps/ca/ee/ca/displayBySerial.template
index be65418be636a41b3393d83efc4c41240fb91055..08706a556d3c0fa1dcc10fe39927cf04a242649e 100644
--- a/base/ca/shared/webapps/ca/ee/ca/displayBySerial.template
+++ b/base/ca/shared/webapps/ca/ee/ca/displayBySerial.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display Certificate</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <CMS_TEMPLATE>
diff --git a/base/ca/shared/webapps/ca/ee/ca/displayBySerial2.template b/base/ca/shared/webapps/ca/ee/ca/displayBySerial2.template
index 7e6678f0b5f905fe76cd983812e7538f05c356de..c939ae68dede8008780368982d2df941652a8cb7 100644
--- a/base/ca/shared/webapps/ca/ee/ca/displayBySerial2.template
+++ b/base/ca/shared/webapps/ca/ee/ca/displayBySerial2.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display Certificate</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <CMS_TEMPLATE>
diff --git a/base/ca/shared/webapps/ca/ee/ca/displayCRL.template b/base/ca/shared/webapps/ca/ee/ca/displayCRL.template
index e829387c1ec5f99eb4df246da131dde320c99534..5c15cd8439f8d02b6ce657c60d3552be485456f3 100644
--- a/base/ca/shared/webapps/ca/ee/ca/displayCRL.template
+++ b/base/ca/shared/webapps/ca/ee/ca/displayCRL.template
@@ -20,6 +20,12 @@
 <head>
    <title>CRL Info</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <CMS_TEMPLATE>
diff --git a/base/ca/shared/webapps/ca/ee/ca/displayCaCert.template b/base/ca/shared/webapps/ca/ee/ca/displayCaCert.template
index 3e6a44da73f8d84286d37965096ff9dc8c8fbb1b..8f63afa351823620e64e43350989453ea45545ba 100644
--- a/base/ca/shared/webapps/ca/ee/ca/displayCaCert.template
+++ b/base/ca/shared/webapps/ca/ee/ca/displayCaCert.template
@@ -20,6 +20,12 @@
 <head>
    <title>CA Certificate Chain</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <CMS_TEMPLATE>
diff --git a/base/ca/shared/webapps/ca/ee/ca/displayCertFromRequest.template b/base/ca/shared/webapps/ca/ee/ca/displayCertFromRequest.template
index aafa17aca89305e5a5789dbe43a14e5a4f5a6047..0dd02bb2aa6c9d031ef1c5bf8c2e8f2997bfe91f 100644
--- a/base/ca/shared/webapps/ca/ee/ca/displayCertFromRequest.template
+++ b/base/ca/shared/webapps/ca/ee/ca/displayCertFromRequest.template
@@ -17,11 +17,19 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>
 CS Enroll Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <script language="javascript">
 
diff --git a/base/ca/shared/webapps/ca/ee/ca/index.jsp b/base/ca/shared/webapps/ca/ee/ca/index.jsp
index bf25a16ad5a46333d7ccc8017d3cced8492ec084..9aa9d6bdc67a0d6472a69028978779a73df9ec8f 100644
--- a/base/ca/shared/webapps/ca/ee/ca/index.jsp
+++ b/base/ca/shared/webapps/ca/ee/ca/index.jsp
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <title>CA End-Entity</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
diff --git a/base/ca/shared/webapps/ca/ee/ca/policyEnrollment/index.jsp b/base/ca/shared/webapps/ca/ee/ca/policyEnrollment/index.jsp
index 75fffe901d938ee7a94717137e1fae5b6efb2c7a..6c49dde3a6cea209aa8df48661856eec3cbd3e85 100644
--- a/base/ca/shared/webapps/ca/ee/ca/policyEnrollment/index.jsp
+++ b/base/ca/shared/webapps/ca/ee/ca/policyEnrollment/index.jsp
@@ -20,6 +20,12 @@
 <title>CA End-Entity</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <link rel="shortcut icon" href="/pki/images/favicon.ico" />
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <script lang="javascript" src="/dynamicVars.js"></script>
 <script lang="javascript" src="../cms-funcs.js"></script>
diff --git a/base/ca/shared/webapps/ca/ee/ca/profileEnrollment/index.jsp b/base/ca/shared/webapps/ca/ee/ca/profileEnrollment/index.jsp
index 478c193adc2fb7e4beaaf430204139510d1c098b..aaac3337fdaf3f4d6b6ab133371a88d81d5311df 100644
--- a/base/ca/shared/webapps/ca/ee/ca/profileEnrollment/index.jsp
+++ b/base/ca/shared/webapps/ca/ee/ca/profileEnrollment/index.jsp
@@ -20,6 +20,12 @@
 <title>CA End-Entity</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <link rel="shortcut icon" href="/pki/images/favicon.ico" />
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <script lang="javascript" src="/dynamicVars.js"></script>
 <script lang="javascript" src="../cms-funcs.js"></script>
diff --git a/base/ca/shared/webapps/ca/ee/ca/queryCert.template b/base/ca/shared/webapps/ca/ee/ca/queryCert.template
index d4a56a79a6667beef1f3822bc59288c7caeb2f11..dcf183d6b1eaf0f4ec8cea6be9ca7853b7ebcae7 100644
--- a/base/ca/shared/webapps/ca/ee/ca/queryCert.template
+++ b/base/ca/shared/webapps/ca/ee/ca/queryCert.template
@@ -21,6 +21,13 @@
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+
 <style type="text/css">
 
 .floating {
diff --git a/base/ca/shared/webapps/ca/ee/ca/reasonToRevoke.template b/base/ca/shared/webapps/ca/ee/ca/reasonToRevoke.template
index 2a608438b1f46b7695a8692ed857ce7de6e07d42..d382d6098e284b22fe7f68e8e4b61bb4d8c5759c 100644
--- a/base/ca/shared/webapps/ca/ee/ca/reasonToRevoke.template
+++ b/base/ca/shared/webapps/ca/ee/ca/reasonToRevoke.template
@@ -21,6 +21,12 @@
 <CMS_TEMPLATE>
 <TITLE>Certificate Revocation Confirmation</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <script LANGUAGE="JavaScript" SRC="/ca/ee/cms-funcs.js"></script>
 <script LANGUAGE="JavaScript" SRC="/ca/ee/helpfun.js"></script>
diff --git a/base/ca/shared/webapps/ca/ee/ca/remoteAuthConfig.template b/base/ca/shared/webapps/ca/ee/ca/remoteAuthConfig.template
index f66f683cf02f2e38766c73c9b7e62e4e8f03aa78..4f1df6459d2e353fef96bd8df02a27d1bf00b1f6 100644
--- a/base/ca/shared/webapps/ca/ee/ca/remoteAuthConfig.template
+++ b/base/ca/shared/webapps/ca/ee/ca/remoteAuthConfig.template
@@ -20,6 +20,12 @@
 <head>
    <title></title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <CMS_TEMPLATE>
diff --git a/base/ca/shared/webapps/ca/ee/ca/requestStatus.template b/base/ca/shared/webapps/ca/ee/ca/requestStatus.template
index a25f5e2ada419cbf515168783e83cf9c4fcd4697..28fb1601c007fdefac5c3c143bce6a78a8ba86b2 100644
--- a/base/ca/shared/webapps/ca/ee/ca/requestStatus.template
+++ b/base/ca/shared/webapps/ca/ee/ca/requestStatus.template
@@ -20,6 +20,12 @@
 <head>
    <title>Request Status</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/ca/shared/webapps/ca/ee/ca/revocationResult.template b/base/ca/shared/webapps/ca/ee/ca/revocationResult.template
index ddcc66198259be26101b668ecb19a5960357d52e..75780443b32a4c67a9dca47b89e8a279036bc963 100644
--- a/base/ca/shared/webapps/ca/ee/ca/revocationResult.template
+++ b/base/ca/shared/webapps/ca/ee/ca/revocationResult.template
@@ -20,6 +20,12 @@
 <HEAD>
 <TITLE></TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <CMS_TEMPLATE>
 <BODY bgcolor="white">
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ca/shared/webapps/ca/ee/ca/srchCert.template b/base/ca/shared/webapps/ca/ee/ca/srchCert.template
index 4213d000a94eb19d12a93029c7483f316756186b..c38bdeb76704ca6fc22380bae22089891d88c217 100644
--- a/base/ca/shared/webapps/ca/ee/ca/srchCert.template
+++ b/base/ca/shared/webapps/ca/ee/ca/srchCert.template
@@ -21,6 +21,13 @@
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+
 <style type="text/css">
 
 .floating {
diff --git a/base/ca/shared/webapps/ca/ee/ca/toDisplayCRL.template b/base/ca/shared/webapps/ca/ee/ca/toDisplayCRL.template
index 2a158381fa37e8bc7da0acf16f03f373dd434116..69ff50202d7b05aa00ddfff9b825681f405ac329 100644
--- a/base/ca/shared/webapps/ca/ee/ca/toDisplayCRL.template
+++ b/base/ca/shared/webapps/ca/ee/ca/toDisplayCRL.template
@@ -19,6 +19,12 @@
 <HTML>
 <HEAD>
 <TITLE>Review Certificate Revocation List</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 
 <SCRIPT LANGUAGE="JavaScript" SRC="/ca/ee/cms-funcs.js">
diff --git a/base/ca/shared/webapps/ca/ee/ca/unrevocationResult.template b/base/ca/shared/webapps/ca/ee/ca/unrevocationResult.template
index b876f6f5f63ea15adc5666ed8b1c7ad7e83e8a78..6612005353022ec6e4eafe9e051a9a85199b3626 100644
--- a/base/ca/shared/webapps/ca/ee/ca/unrevocationResult.template
+++ b/base/ca/shared/webapps/ca/ee/ca/unrevocationResult.template
@@ -20,7 +20,14 @@
 <HEAD>
 <TITLE></TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <CMS_TEMPLATE>
+</HEAD>
 <BODY bgcolor="white">
 <SCRIPT LANGUAGE="JavaScript">
 //<!--
diff --git a/base/ca/shared/webapps/ca/ee/index.jsp b/base/ca/shared/webapps/ca/ee/index.jsp
index 30662d47aa6a0c3f7aafc03acf16b02cf2ac93bf..eae2da3c25ffaac82c434a5ef5137d9c3d635138 100644
--- a/base/ca/shared/webapps/ca/ee/index.jsp
+++ b/base/ca/shared/webapps/ca/ee/index.jsp
@@ -16,8 +16,16 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     // redirect to 'ROOT'
     window.location = "/";
 </script>
+</head>
 </html>
diff --git a/base/ca/shared/webapps/ca/index.jsp b/base/ca/shared/webapps/ca/index.jsp
index 81d6c7a5a388cbab90200b65523e9b9f1d4d4140..333f75632278b5d638cdd2bc19720fc17ed0a7a4 100644
--- a/base/ca/shared/webapps/ca/index.jsp
+++ b/base/ca/shared/webapps/ca/index.jsp
@@ -16,7 +16,15 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     window.location = '/ca/services';
 </script>
+</head>
 </html>
diff --git a/base/ca/shared/webapps/ca/services.template b/base/ca/shared/webapps/ca/services.template
index 0e314b2a781b8a86ab6a3680b44ea7ac81db4a28..a7df0fa69373cad22e34392bffcaaa02b27cd88a 100644
--- a/base/ca/shared/webapps/ca/services.template
+++ b/base/ca/shared/webapps/ca/services.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
-- 
2.9.3

